lmi-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[lmi-commits] [lmi] master bf9a265 2/3: Run 'lmi_setup_30.sh', allowing


From: Greg Chicares
Subject: [lmi-commits] [lmi] master bf9a265 2/3: Run 'lmi_setup_30.sh', allowing its commands to fail
Date: Sun, 16 Feb 2020 18:56:05 -0500 (EST)

branch: master
commit bf9a265793f404d9f03831b452f9b17b3e488152
Author: Gregory W. Chicares <address@hidden>
Commit: Gregory W. Chicares <address@hidden>

    Run 'lmi_setup_30.sh', allowing its commands to fail
    
    The 'lmi_setup_30.sh' script moves files that may or may not exist
    from host to chroot. Normally, those files would be optional. However,
    on a particular corporate server that blocks common free-software
    sites, required libraries cannot be downloaded normally and must be
    cached (manually, OAOO) on the host and copied thence into the chroot.
---
 install_redhat.sh | 2 +-
 lmi_setup_30.sh   | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/install_redhat.sh b/install_redhat.sh
index 4eaeb62..876d0cc 100755
--- a/install_redhat.sh
+++ b/install_redhat.sh
@@ -134,7 +134,7 @@ set -evx
 cp -a lmi_setup_*.sh /srv/chroot/${CHRTNAME}/tmp
 schroot --chroot=${CHRTNAME} --user=root --directory=/tmp ./lmi_setup_20.sh
 schroot --chroot=${CHRTNAME} --user=root --directory=/tmp ./lmi_setup_21.sh
-# sudo -u "${NORMAL_USER}" ./lmi_setup_30.sh
+sudo -u "${NORMAL_USER}" ./lmi_setup_30.sh
 schroot --chroot=${CHRTNAME} --user="${NORMAL_USER}" --directory=/tmp 
./lmi_setup_40.sh
 schroot --chroot=${CHRTNAME} --user="${NORMAL_USER}" --directory=/tmp 
./lmi_setup_41.sh
 schroot --chroot=${CHRTNAME} --user="${NORMAL_USER}" --directory=/tmp 
./lmi_setup_42.sh
diff --git a/lmi_setup_30.sh b/lmi_setup_30.sh
index d346e0d..d79afa4 100755
--- a/lmi_setup_30.sh
+++ b/lmi_setup_30.sh
@@ -39,7 +39,7 @@ assert_not_chrooted
 #     /srv/chroot/some-prior-chroot/opt/lmi/blessed/ /srv/cache_for_lmi
 # to update the host, and then:
 cp --dereference --preserve --recursive \
-  /srv/cache_for_lmi/* /srv/chroot/${CHRTNAME}/cache_for_lmi/
+  /srv/cache_for_lmi/* /srv/chroot/${CHRTNAME}/cache_for_lmi/ || true
 
 # Also copy any desired msw software into the chroot now, e.g.:
 #   cp -a /srv/chroot/some-prior-chroot/opt/xyzzy 
/srv/chroot/${CHRTNAME}/opt/xyzzy
@@ -48,7 +48,7 @@ cp --dereference --preserve --recursive \
 
 # Configure ssh, iff this chroot needs write access to savannah.
 # The easiest way is to copy existing credentials, e.g.:
-cp -a ~/.ssh/ /srv/chroot/${CHRTNAME}/home/"${NORMAL_USER}"
+cp -a ~/.ssh/ /srv/chroot/${CHRTNAME}/home/"${NORMAL_USER}" || true
 # Make sure the .ssh/config file contains:
 #   Protocol 2
 #   HashKnownHosts no



reply via email to

[Prev in Thread] Current Thread [Next in Thread]